summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Didier Charles2010-07-11 08:45:41 +0200
committer Robby Workman2010-07-11 08:45:41 +0200
commite1c999e1fc40e112d58f833c3f7fb0e8125a39e0 (patch)
treeccd41c755d623288e4cf0d701fbdb80a8f6896ae /desktop
parent06ee3481f8e4723e3efae5dff32dc7ae621f9f7e (diff)
downloadslackbuilds-e1c999e1fc40e112d58f833c3f7fb0e8125a39e0.tar.gz
desktop/maitreya: Added (software for Vedic and western astrology)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/maitreya/README8
-rw-r--r--desktop/maitreya/doinst.sh15
-rw-r--r--desktop/maitreya/maitreya.SlackBuild84
-rw-r--r--desktop/maitreya/maitreya.info10
-rw-r--r--desktop/maitreya/slack-desc19
5 files changed, 136 insertions, 0 deletions
diff --git a/desktop/maitreya/README b/desktop/maitreya/README
new file mode 100644
index 0000000000..81081bef29
--- /dev/null
+++ b/desktop/maitreya/README
@@ -0,0 +1,8 @@
+Maitreya is a free software for Vedic and western astrology
+
+The software supports many features for the daily work of Vedic and
+western astrologers, a large number of calculation options that make
+the program a stable basis for research purposes, high precision
+calculation, and includes an ephemeris and geographical database.
+
+This requires wxGTK.
diff --git a/desktop/maitreya/doinst.sh b/desktop/maitreya/doinst.sh
new file mode 100644
index 0000000000..ee4ac27988
--- /dev/null
+++ b/desktop/maitreya/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
+
diff --git a/desktop/maitreya/maitreya.SlackBuild b/desktop/maitreya/maitreya.SlackBuild
new file mode 100644
index 0000000000..70c388f0d0
--- /dev/null
+++ b/desktop/maitreya/maitreya.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+#
+# Didier Charles 2010.07.10
+# dcharles@alumni.concordia.ca
+# written with the grateful assistance of the tutorial
+# "Writing A SlackBuild Script" at :
+# http://www.slackwiki.org/Writing_A_SlackBuild_Script
+# and with the guidance of the templates at:
+# http://slackbuilds.org/templates/
+
+PRGNAM=maitreya
+VERSION=6.0dev4
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --build=$ARCH-slackware-linux
+
+make \
+ fontdir=/usr/share/fonts/TTF \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS"
+make install \
+ fontdir=/usr/share/fonts/TTF \
+ DESTDIR=$PKG
+
+( cd $PKG/usr/share/maitreya6/fonts/
+ rm -f MaitreyaSymbols6.ttf
+ ln -s ../../fonts/TTF/MaitreyaSymbols6.ttf
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../share/maitreya6/COPYING
+ ln -s ../../share/maitreya6/changelog
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/maitreya/maitreya.info b/desktop/maitreya/maitreya.info
new file mode 100644
index 0000000000..68e99652fb
--- /dev/null
+++ b/desktop/maitreya/maitreya.info
@@ -0,0 +1,10 @@
+PRGNAM="maitreya"
+VERSION="6.0dev4"
+HOMEPAGE="http://www.saravali.de/index.html"
+DOWNLOAD="http://downloads.sourceforge.net/maitreya/maitreya-6.0dev4.tar.bz2"
+MD5SUM="7fc34dbfd9585492bb0fd81d5e2a4de7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Didier Charles"
+EMAIL="dcharles@alumni.concordia.ca"
+APPROVED="rworkman"
diff --git a/desktop/maitreya/slack-desc b/desktop/maitreya/slack-desc
new file mode 100644
index 0000000000..6ac9ffccc4
--- /dev/null
+++ b/desktop/maitreya/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+maitreya: Maitreya (free software for Vedic and western astrology)
+maitreya:
+maitreya: The software supports
+maitreya: * Many features for the daily work of Vedic and western astrologers.
+maitreya: * A large number of calculation options that make the program a
+maitreya: stable basis for research purposes.
+maitreya: * High precision calculation.
+maitreya:
+maitreya: Homepage: http://saravali.de/index.html
+maitreya:
+maitreya: